//
//  Play_Through_LionAppDelegate.m
//  Play Through Lion
//
//  Created by John Geelen on 22-09-11.
//  Copyright 2011 JG Electronics. All rights reserved.
//	Remarks, reports to: www.jgelectronics.nl.
//
//	Derived from Apple's example program Complex Play Through  and Chen Kok's CocoaFilter.
//	The application icon is from Vincent Garnier http://benjigarner.deviantart.com/art/Fruity-Apples-80805804
//
//	Cocoa, OSX10.6 <> 10.7 and XCODE 4.1.0
//
/*
 Disclaimer: IMPORTANT: 
 This JG Electronics software is supplied to you by JG Electronics as FREE AND OPEN SOURCE SOFTWARE. 
 
 The JG Electronics Software is provided by JG Electronics on an "AS IS" basis.
 JG ELECTRONICS MAKES NO WARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION
 THE IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS
 FOR A PARTICULAR PURPOSE, REGARDING THE JG ELECTRONICS SOFTWARE OR ITS USE AND
 OPERATION ALONE OR IN COMBINATION WITH YOUR PRODUCTS.
 
 IN NO EVENT SHALL JG ELECTRONICS BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL
 OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 INTERRUPTION) ARISING IN ANY WAY OUT OF THE USE, REPRODUCTION,
 MODIFICATION AND/OR DISTRIBUTION OF THE JG ELECTRONICS SOFTWARE, HOWEVER CAUSED
 AND WHETHER UNDER THEORY OF CONTRACT, TORT (INCLUDING NEGLIGENCE),
 STRICT LIABILITY OR OTHERWISE, EVEN IF JG ELECTRONICS HAS BEEN ADVISED OF THE
 POSSIBILITY OF SUCH DAMAGE.
 */

	#import "Play_Through_LionAppDelegate.h"

	@implementation Play_Through_LionAppDelegate

	#pragma mark -
	#pragma mark === Accessor Methods ===
//	*********************************************************************************************************************************
	@synthesize window;

	#pragma mark -
	#pragma mark === Application Delegates Notifications ===
//	*********************************************************************************************************************************
- (void)applicationDidFinishLaunching:(NSNotification *)aNotification {
//	Insert code here to initialize your application
}

- (void)dealloc {
	
	[ super dealloc ] ;
}

	#pragma mark -
	#pragma mark === Notification Methods ===
//	*********************************************************************************************************************************
- (void)windowWillClose:(NSNotification *)notification {
		//	NSLog(@"windowWillClose Notification");
	NSString * windowName = [[notification object]title];
	
	if([windowName compare:@"Play Through Lion"] == NSOrderedSame) {	
//	if window closes we want the application to terminate (quit)
		NSApplication * application = [NSApplication sharedApplication];
		[application terminate:self];
	}
}

	#pragma mark -
	#pragma mark === Application Methods ===
//	*********************************************************************************************************************************
- (NSApplicationTerminateReply)applicationShouldTerminate:(NSApplication *)sender {
//	save data
//	NSLog(@"applicationShouldTerminate");
	
	return NSTerminateNow;	//	NSTerminateCancel;
}

@end





